Class | Irc::Channel::Topic
In: | lib/rbot/irc.rb
Parent: | Object

A Topic represents the topic of a channel. It consists of the topic itself, who set it and when

### Methods

new replace to_irc_channel_topic

### External Aliases

text | -> | to_s

### Attributes

set_by | [RW] |
set_on | [RW] |
text | [RW] |

### Public Class methods

new(text="", set_by="", set_on=Time.new)

Create a new Topic setting the text, the creator and the creation time

### Public Instance methods

replace(topic)

Replace a Topic with another one

to_irc_channel_topic()

Returns self

[Validate]